Linting
=======

Linters are used in mozilla-central to help enforce coding style and avoid bad practices.
They cover a wide variety of languages and checks.

Getting Help
------------

If you need help or have questions, please don’t hesitate to contact us via Matrix
in the "Lint and Formatting" room
(`#lint:mozilla.org <https://chat.mozilla.org/#/room/#lint:mozilla.org>`_).


.. toctree::
  :caption: Getting Started
  :maxdepth: 2

  usage

.. toctree::
  :caption: Linter Implementations
  :maxdepth: 1
  :glob:

  linters/*

.. toctree::
  :caption: Linter Specifics
  :maxdepth: 1

  mozlint
  create
